## org.hamcrest
Interface SelfDescribing

All Known Subinterfaces:
  Matcher<T>

All Known Implementing Classes:
  AllOf, AnyOf, org.junit.internal.AssumptionViolatedException, AssumptionViolatedException, BaseMatcher, CombinableMatcher, CustomMatcher, CustomTypeSafeMatcher, DescribedAs, DiagnosingMatcher, Every, FeatureMatcher, Is, IsAnything, IsCollectionContaining, IsEqual, IsInstanceOf, IsNot, IsNull, IsSame, StringContains, StringEndsWith, StringStartsWith, SubstringMatcher, TypeSafeDiagnosingMatcher, TypeSafeMatcher

    public interface SelfDescribing

The ability of an object to describe itself.

Method Summary
`void` `describeTo(Description description)` Generates a description of the object.

Method Detail

### describeTo

    void describeTo(Description description)

  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

Copyright © 2002–2020 JUnit. All rights reserved.